Commit 878b5255 authored by Birin Sanchez's avatar Birin Sanchez

Use Poetry to manage dependencies. Change directory structure.

parent 4e8e5b9d
Pipeline #1953 failed with stages
This diff is collapsed.
[tool.poetry]
name = "ldh_middleware"
version = "0.0.1"
description = "None"
authors = ["Purism SPC <liberty@puri.sm>"]
license = "AGPL-3.0-or-later"
repository = "https://source.puri.sm/liberty/ldh_middleware"
[tool.poetry.dependencies]
python = "^3.5"
celery = "=4.1.1"
choicesenum = "=0.2.2"
dj-database-url = "=0.4.2"
django-agpl = "=4.0.0"
django-auth-ldap = "=1.3.0"
django-crispy-forms = "=1.7.0"
django-extensions = "=1.9.9"
django-ldapdb = "=0.9.0"
jinja2-django-tags = "=0.5"
django-registration = "=2.4.1"
paramiko = "=2.4.1"
pyasn1 = "=0.4.2"
python-decouple = "=3.1"
python-ldap = "=3.0.0"
strictyaml = "=0.11.10"
confusable_homoglyphs = "=3.0.0"
django = "=1.11.15"
django_celery_beat = "=1.1.0"
Jinja2 = "=2.10"
woocommerce = "=1.2.1"
[tool.poetry.dev-dependencies]
#[tool.poetry.scripts]
#ldh-middleware = 'ldh-middleware:manage.py'
[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment